{% extends "index.html" %}


{% block logged_out %}


<div id="about" class="container">

      {% for bp in blog_posts %}
             <div class="row">
            <div class="col-sm-3">
            </div>
            <div class="col-sm-6">
               
<div id="{{bp.key.id()}}preview"   class="bp">
                <h2>{{bp.content_part_keys[0].get().text}}</h2>
                <img style="width: 100%;" src="https://storage.googleapis.com{{bp.content_part_keys[1].get().text}}"  class="img-rounded">

                 {% if bp.content_part_keys[2].get().category == "SUBTITLE" %}
                        <h3>{{bp.content_part_keys[2].get().text}}</h3>
                    {% endif %}

                     {% if bp.content_part_keys[2].get().category == "TEXT" %}
                        <p>{{bp.content_part_keys[2].get().text}}</p>
                    {% endif %}
                
</div>
<br>
                <button id="{{bp.key.id()}}readmore-btn" class="expand-btn btn btn-large btn-info"
                  onclick="$('#{{bp.key.id()}}').slideDown();$('#{{bp.key.id()}}preview').hide();$('#{{bp.key.id()}}readmore-btn').hide();$('#{{bp.key.id()}}showless-btn').show()">Read more</button>


               

               <div id="{{bp.key.id()}}"  style="display: none;" class="bp">


                {% for key in bp.content_part_keys %}
               
                    {% if key.get().category == "TITLE" %}
                        <h2>{{key.get().text}}</h2>
                    {% endif %}

                    {% if key.get().category == "BOLD_TEXT" %}
                        <b>{{key.get().text}}</b>
                    {% endif %}

                    {% if key.get().category == "IMAGE" %}
                        <img style="width: 100%;" src="https://storage.googleapis.com{{key.get().text}}"  class="img-rounded">
                    {% endif %}

                    {% if key.get().category == "SUBTITLE" %}
                        <h3>{{key.get().text}}</h3>
                    {% endif %}

                    {% if key.get().category == "LINK" %}
                        <a href="{{key.get().text}}">{{key.get().text}}</a>
                    {% endif %}
                    
                    {% if key.get().category == "TEXT" %}
                        <p>{{key.get().text}}</p>
                    {% endif %}
                  
                {% endfor %}
                <br>
                 <button style="display: none;" id="{{bp.key.id()}}showless-btn" class="expand-btn btn btn-large btn-info"
                  onclick="$('#{{bp.key.id()}}').slideUp();$('#{{bp.key.id()}}preview').show();$('#{{bp.key.id()}}readmore-btn').show();
                  $('#{{bp.key.id()}}showless-btn').hide()">Show less</button>
                  </div>

                <br>
           
            </div> 

            <div class="col-sm-3">
            </div>  
            
                
        </div>
    {% endfor %}
</div>


{% endblock %}


{% block scripts %}

<script>


$( document ).ready(function() {
    $("#main_buttons").hide();
    $("#podit_video").hide();

});
   


</script>


{% endblock %}